#ifndef KYSEC_PROCPS_H
#define KYSEC_PROCPS_H

#ifdef __cplusplus
extern "C" {
#endif

int get_pid_by_path(const char *path);

/**
 * 根据pid回去程序路径
 * 参数: pid[in] 进程pid
 * 返回值: 找到返回进程路径, 需释放; 未找到返回空
 */
char* get_path_by_pid(pid_t pid);

#ifdef __cplusplus
}
#endif

#endif // KYSEC_PROCPS_H
