#ifndef KYSEC_CORE_H
#define KYSEC_CORE_H

#include <string.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 删除字符串中的空格、'\t'
 *
 * @param[in|out] s 源字符串，不能为NULL
 */
extern void ltrim_anyway(char *s);

/*
 * @brief 替换字符串中指定的字符或字符串
 *
 * @param[in|out] src	源字符串，不能为空
 * @param[in]	  old	要替换掉的字符串，不能为空
 * @param[in]	  new	替换成的字符串，不能为空
 *
 * @return	返回替换后的字符串，调用结束后需释放内存
 */
extern char *strrpc(char *src, char *old_str, char *new_str);

#ifdef __cplusplus
}
#endif

#endif /* KYSEC_CORE_H */
